curl --request GET \
--url https://api.hubapi.com/marketing/v3/campaigns \
--header 'Authorization: Bearer <token>'{
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Get a page of campaigns
curl --request GET \
--url https://api.hubapi.com/marketing/v3/campaigns \
--header 'Authorization: Bearer <token>'{
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Filter campaigns by name. Optional.
A comma-separated list of properties to include in the response. Unrecognized properties are ignored. Optional. Example: hs_name,hs_budget, hs_notes
The property to sort results by. Optional.
successful operation
Was this page helpful?